## libcupsfilters 2.0.0

=== debian/changelog ===
libcupsfilters (2.0.0-3) unstable; urgency=medium

  * CVE-2024-47076 (Closes: #1082821)
    cfGetPrinterAttributes5(): Validate response attributes before return
  * temporarily disable libcupsfilters-2-functionality for now

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2024 23:45:05 +0200

libcupsfilters (2.0.0-2) unstable; urgency=medium

  * debian/control: add proper Conflicts: for cups-filters packages
                    (Closes: #1069630)
  * debian/tests: use dependencies for version 2

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Sep 2024 22:45:05 +0200

libcupsfilters (2.0.0-1) unstable; urgency=medium

  * first Debian upload
  * do not use symbols file at the moment
  * update debian/watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 Apr 2024 22:45:05 +0200

libcupsfilters (2.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Final release with further bug fixes
    - cfFilterUniversal() also supports application/vnd.cups-postscript
      as input format now, treating it as application/postscript.
    - Do not confuse XPrinter with Xerox' XPrint models.
    - Use correct resolution in Raster header for Apple Raster.
  * Removed patches, fixes are included in the upstream code.
  * Updated debian/libcupsfilters2.symbols

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Sep 2023 12:45:05 +0200

libcupsfilters (2.0~rc1-0ubuntu4) mantic; urgency=medium

  * Make libcupsfilters-tests depend on fonts-dejavu-core (LP: #2031222)
  * Replace B-D libfontconfig1-dev with libfontconfig-dev
  * Add pkg-kde-tools to Build-Depends
  * Update debian/libcupsfilters2.symbols using pkgkde-symbolshelper

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 12 Aug 2023 21:05:20 +0200

libcupsfilters (2.0~rc1-0ubuntu3) mantic; urgency=medium

  * libcupsfilters2.symbols: Added 2 riscv64-only symbols with (otional).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  5 Jun 2023 23:59:59 +0200

libcupsfilters (2.0~rc1-0ubuntu2) mantic; urgency=medium

  * ignore-unsupported-resolution-values.patch: If resolutions not supported
    by the printer are supplied alog with a job via "Resolution" or
    "printer-resolution", ignore them to prevent rasterization in the
    wrong resolution and garbage printed (Upstream issue #29, LP: #2022929).
  * cfippattrresolutionforprinter-resolution-list-not-ipp-range.patch:
    When searching for the "printer-resolution-supported" printer IPP
    attribute, do not consider it an IPP range type, as it is not, and
    so would not be found (LP: #2022929).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  5 Jun 2023 19:19:19 +0200
