=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcupsfilters
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
  Thorsten Alteholz <debian@alteholz.de>,
@@ -17,7 +16,7 @@
  libcups2-dev (>= 2.2.2),
  libcupsimage2-dev,
  libdbus-1-dev,
- libfontconfig1-dev,
+ libfontconfig-dev,
  libfreetype-dev,
  libglib2.0-dev,
  libjpeg-dev,
@@ -28,10 +27,11 @@
  librsvg2-bin,
  libtiff-dev,
  pkg-config,
+ pkg-kde-tools,
  poppler-utils,
  zlib1g-dev,
  libexif-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/printing-team/libcupsfilters
 Vcs-Git: https://salsa.debian.org/printing-team/libcupsfilters.git
 Homepage: http://www.openprinting.org/
@@ -39,7 +39,6 @@
 
 Package: libcupsfilters2
 Architecture: any
-Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
@@ -67,10 +66,12 @@
  cfFilterTextToPDF() filter function and banner/test page instruction
  files and templates for the cfFilterBannerToPDF() filter function.
 
-Package: libcupsfilters-dev
+Package: libcupsfilters2-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+# add Conflicts: for now, maybe later the libs should be renamed
+Conflicts: libcupsfilters-dev
 Depends:
  libcupsfilters2 (= ${binary:Version}),
  ${misc:Depends},
@@ -92,6 +93,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ fonts-dejavu-core,
 Description: OpenPrinting libcupsfilters - Test programs for autopkgtests
  This library contains filter functions doing all kinds of file format
  conversion used for printing and scanning, to be used in Printer
