=== debian/tests/control ===
Tests: libcupsfilters-2-dev
Depends: build-essential,
         dbus,
	 libcups2-dev,
         libcupsfilters2-dev,
         pkg-config,
Restrictions: allow-stderr

###Tests: libcupsfilters-2-functionality
###Depends: libcupsfilters-tests
###Restrictions: allow-stderr
