=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libcupsfilters-$1.tar.gz%" \
    https://github.com/OpenPrinting/libcupsfilters/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
