## libcupsfilters 2.0.0-0ubuntu7.1trisquel1

=== debian/changelog ===
libcupsfilters (2.0.0-0ubuntu7.1trisquel1) ecne-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 18:23:41 +0000

libcupsfilters (2.0.0-0ubuntu7.1) noble-security; urgency=medium

  * SECURITY UPDATE: PPD injection issues (LP: #2082335)
    - debian/patches/sec-202409-1.patch: validate response attributes
      before return in cupsfilters/ipp.c.
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Sep 2024 09:22:46 -0400

libcupsfilters (2.0.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:53:34 +0000

libcupsfilters (2.0.0-0ubuntu6) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Fri, 22 Mar 2024 17:08:47 +0800

libcupsfilters (2.0.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 12:15:39 +1300

libcupsfilters (2.0.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:51:01 +1300

libcupsfilters (2.0.0-0ubuntu3) noble; urgency=medium

  * Updated debian/libcupsfilters2.symbols (strlcpy() seems to be available
    now)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 7 Mar 2024 23:00:00 +0100

libcupsfilters (2.0.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:02:54 +0000
