## libcupsfilters 2.0.0-0ubuntu7.2trisquel1

=== debian/changelog ===
libcupsfilters (2.0.0-0ubuntu7.2trisquel1) ecne-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 Nov 2025 19:50:14 +0000

libcupsfilters (2.0.0-0ubuntu7.2) noble-security; urgency=medium

  * SECURITY UPDATE: heap-buffer overflow write in cfImageLut
    - debian/patches/CVE-2025-57812.patch: fix multiple issues in
      cupsfilters/image-tiff.c.
    - CVE-2025-57812
  * SECURITY UPDATE: out-of-bounds write in cfFilterPDFToRaster()
    - debian/patches/CVE-2025-64503.patch: validate page size in
      cupsfilters/pdftoraster.cxx.
    - CVE-2025-64503

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Nov 2025 10:18:24 -0500
