=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libcupsfilters
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
  Thorsten Alteholz <debian@alteholz.de>,
@@ -31,14 +32,18 @@
  poppler-utils,
  zlib1g-dev,
  libexif-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/printing-team/libcupsfilters
 Vcs-Git: https://salsa.debian.org/printing-team/libcupsfilters.git
 Homepage: http://www.openprinting.org/
 Rules-Requires-Root: no
 
-Package: libcupsfilters2
+Package: libcupsfilters2t64
+Provides: ${t64:Provides}
+Replaces: libcupsfilters2
+Breaks: libcupsfilters2 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
@@ -57,7 +62,7 @@
 Architecture: all
 Section: libs
 Depends: ${misc:Depends}
-Recommends: libcupsfilters2 (>= ${source:Version})
+Recommends: libcupsfilters2t64 (>= ${source:Version})
 Breaks: cups-filters (<< 2.0~)
 Replaces: cups-filters (<< 2.0~)
 Description: OpenPrinting libcupsfilters - Auxiliary files
@@ -66,14 +71,12 @@
  cfFilterTextToPDF() filter function and banner/test page instruction
  files and templates for the cfFilterBannerToPDF() filter function.
 
-Package: libcupsfilters2-dev
+Package: libcupsfilters-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-# add Conflicts: for now, maybe later the libs should be renamed
-Conflicts: libcupsfilters-dev
 Depends:
- libcupsfilters2 (= ${binary:Version}),
+ libcupsfilters2t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OpenPrinting libcupsfilters - Development files for the library
