## libcupsfilters 2.1~b1

=== debian/changelog ===
libcupsfilters (2.1~b1-0ubuntu4) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <jbicha@ubuntu.com>  Fri, 17 Jan 2025 14:16:39 -0500

libcupsfilters (2.1~b1-0ubuntu3) oracular; urgency=medium

  * SECURITY UPDATE: PPD injection issues (LP: #2082335)
    - debian/patches/sec-202409-1.patch: validate response attributes
      before return in cupsfilters/ipp.c.
    - CVE-2024-47076

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Sep 2024 09:21:50 -0400

libcupsfilters (2.1~b1-0ubuntu2) oracular; urgency=medium

  * Updated debian/libcupsfilters2t64.symbols for armhf and riscv64

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Aug 2024 12:36:36 +0200

libcupsfilters (2.1~b1-0ubuntu1) oracular; urgency=medium

  * New upstream release
    - Near one year of bug fixes
    - New CI/build/unit test program testing filter functions based on a
      table of test cases.
  * Updated debian/libcupsfilters2t64.symbols

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Aug 2024 01:48:36 +0200

libcupsfilters (2.0.0-0ubuntu8) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:54:30 -0400
